VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
LegacyMIDICCOutEvent Struct Reference

Legacy MIDI CC Out event specific data. More...

`#include <ivstevents.h>`

## Public Attributes
uint8 | controlNumber
| see enum ControllerNumbers [0, 255]
int8 | channel
| channel index in event bus [0, 15]
int8 | value
| value of Controller [0, 127]
int8 | value2
| [0, 127] used for pitch bend (kPitchBend) and polyPressure (kCtrlPolyPressure)

## Detailed Description

Legacy MIDI CC Out event specific data.

Used in Event (union)

- [released: 3.6.12]

This kind of event is reserved for generating MIDI CC as output event for kEvent Bus during the process call.

## Member Data Documentation

## ◆ controlNumber

uint8 controlNumber

see enum ControllerNumbers [0, 255]

## ◆ channel

int8 channel

channel index in event bus [0, 15]

## ◆ value

int8 value

value of Controller [0, 127]

## ◆ value2

int8 value2

[0, 127] used for pitch bend (kPitchBend) and polyPressure (kCtrlPolyPressure)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.